curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"fieldKeyType":"id","typecast":true,"record":{"fields":{"property1":null,"property2":null}},"order":{"viewId":"string","anchorId":"string","position":"before"}}'{
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}Update a single record by its ID with support for field value typecast and record reordering.
curl --request PATCH \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"fieldKeyType":"id","typecast":true,"record":{"fields":{"property1":null,"property2":null}},"order":{"viewId":"string","anchorId":"string","position":"before"}}'{
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Update record by id
Show child attributes
Define the key type of record.fields[key], You can click "systemInfo" in the field edit box to get fieldId or enter the table design screen with all the field details
id, name, dbFieldName Automatic data conversion from cellValues if the typecast parameter is passed in. Automatic conversion is disabled by default to ensure data integrity, but it may be helpful for integrating with 3rd party data sources.
Where this record to insert to (Optional)
Show child attributes
Returns record data after update.
The record id.
Objects with a fields key mapping fieldId or field name to value for that field.
Show child attributes
primary field value
Auto number, a unique identifier for each record
Created time, date ISO string (new Date().toISOString).
Last modified time, date ISO string (new Date().toISOString).
Created by, user name
Last modified by, user name
Permissions for the record
Show child attributes
Whether the record is undeletable
此页面对您有帮助吗?